# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add casa workflow field

Revision ID: 835baaa1ae12
Revises: da40664b3b98
Create Date: 2021-10-07 13:28:29.146818

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "835baaa1ae12"
down_revision = "da40664b3b98"
branch_labels = None
depends_on = None

casa_workflows = [
    "std_calibration",
    "std_cms_imaging",
    "restore_cms",
    "std_restore_imaging",
    "vlass_seci",
]


def upgrade():
    op.execute("ALTER TABLE workflows ADD COLUMN uses_casa bool NOT NULL DEFAULT false")
    for wf_name in casa_workflows:
        op.execute(f"UPDATE workflows SET uses_casa = TRUE WHERE workflow_name = '{wf_name}'")


def downgrade():
    op.execute("ALTER TABLE workflows DROP COLUMN IF EXISTS uses_casa")
